# Master of Engineering Project Repository
MEng Electrical and Computer Engineering research project: DeliverEZ

## Versions
### Python
To run the Python version, be sure to have the required packages installed that are outlined in detail in the report (Python, OpenCV 2.4.13, picamera, Raspberry Pi GPIO, NRF24L01 RF module, etc).  Run the following command in the same directory where the noted script exists.

Command to run: `sudo python run_deliverEZ.py`

### C++
For the C++ version, change directory to cpp/.  Then, compile using the make file with the command: `make main` .  Run the program using `./Application` .  Dependent packages are outlined in the report.

### Arduino Sketch
The Arduino sketch lives in the BuzzerBuddy/ directory and its sketch can be directly uploaded onto the Arduino.  This appilcation also requires dependencies listed in the report.

### Webserver
The application `remote.php` runs on the Apache2 webserver and calls the `deliverEzTx` executable to send a wireless message from the Raspberry Pi to the Arduino.


