"""Raspberry Pi Face Recognition Coffee Maker
Class to intialize and define a DeliverEz User and the user's preferences
Copyright 2016 Andrew Palmer (ajp294) 

"""

# import config
import io


class User(object):

   """ A User of DeliverEz.  Users have the following properties:

   Fields:
      name: A string representing the user's name (no spaces)
   """

   def __init__(self, name): # , cream_amount, sugar_amount):
      self.name = name
      # self.cream_amount = cream_amount
      # self.sugar_amount = sugar_amount

   
   def __str__(self):
      return(self.name) #  + ", " ) + str(self.cream_amount) + ", " + str(self.sugar_amount))

   def addToFile(self, filename, writeType):
      if writeType == 'w':
         with open(filename, 'w') as file:
            file.write(self.name + "\n")
      else:
         with open(filename, 'a') as file:
            file.write(self.name + "\n")
         
